REM Last Changed: 12.03.2006 by Thomas Naeff (originally Make.bat by Greg Dietsche aka GForce)
ECHO OFF
CLS

ECHO ---------------------------------------------------------

ECHO Building the array.h for the TSR Hook

ECHO ---------------------------------------------------------

ECHO Pre-compile Hook.c. This will output a file called hook.zxx
tigcc -Os -mno-bss -W -Wall -outputbin hook.c

ECHO ---------------------------------------------------------

ECHO Convert the raw binary image Hook to an array

ttbin2hex -a tsr -ss 2 -se 1 Hook.zv2 array.h

ECHO ---------------------------------------------------------

ECHO delete Hook.zv2
del Hook.zv2
del Hook.z89

ECHO Building array complete!
PAUSE
ECHO ON
